Loading...
Searching...
No Matches
solver_option

## Detailed Description

see the `solver_option` page for the full documentation

Examples
  helmholtz_band_iterative.cc, and transmission_dg.cc.

Definition at line 155 of file solver_option.h.

## Public Types

typedef std::size_t | size_type

## Public Member Functions

| solver_option ()
| solver_option (const solver_option &)
solver_option & | operator= (const solver_option &)

## Static Public Member Functions

template<class T , class M >
static std::string | default_preferred_library (const csr< T, M > &a)
template<class T , class M >
static std::string | used_library (const csr< T, M > &a, const solver_option &sopt=solver_option())

## Public Attributes

long int | iterative
Float | tol
size_type | max_iter
bool | absolute_stopping
Float | residue
size_type | n_iter
odiststream * | p_err
std::string | label
size_type | krylov_dimension
size_type | n_refinement
bool | compute_determinant
std::string | preferred_library
size_type | verbose_level
bool | do_check
bool | force_seq
size_type | level_of_fill
size_type | amalgamation
size_type | ooc

## Static Public Attributes

static const long int | decide = -1

## Static Protected Member Functions

static std::string | _default_preferred_library (size_t dis_ext_nnz, bool is_sym, bool is_dp)
static std::string | _used_library (std::string init_preferred_library, size_t dis_ext_nnz, bool is_sym, bool is_dp)

## Member Typedef Documentation

## size_type

typedef std::size_t size_type

Definition at line 157 of file solver_option.h.

## Constructor & Destructor Documentation

## solver_option() [1/2]

solver_option | ( |  | ) |

Definition at line 180 of file solver_option.h.

## solver_option() [2/2]

solver_option | ( | const solver_option & | x | ) |

Definition at line 226 of file solver_option.h.

## Member Function Documentation

## operator=()

solver_option & operator= | ( | const solver_option & | x | ) |

Definition at line 249 of file solver_option.h.

## default_preferred_library()

template<class T , class M >

std::string default_preferred_library | ( | const csr< T, M > & | a | ) |

static

Definition at line 274 of file solver_option.h.

## used_library()

template<class T , class M >

std::string used_library | ( | const csr< T, M > & | a,
|  | const solver_option & | sopt = `solver_option()`
| ) |  |

static

Definition at line 281 of file solver_option.h.

## _default_preferred_library()

std::string _default_preferred_library | ( | size_t | dis_ext_nnz,
|  | bool | is_sym,
|  | bool | is_dp
| ) |  |

static protected

Definition at line 41 of file solver_option.cc.

## _used_library()

std::string _used_library | ( | std::string | init_preferred_library,
|  | size_t | dis_ext_nnz,
|  | bool | is_sym,
|  | bool | is_dp
| ) |  |

static protected

Definition at line 157 of file solver_option.cc.

## Member Data Documentation

## decide

const long int decide = -1

static

Definition at line 158 of file solver_option.h.

## iterative

long int iterative

mutable

Examples
  transmission_dg.cc.

Definition at line 159 of file solver_option.h.

## tol

Float tol

Examples
  helmholtz_band_iterative.cc.

Definition at line 160 of file solver_option.h.

## max_iter

size_type max_iter

Examples
  helmholtz_band_iterative.cc.

Definition at line 161 of file solver_option.h.

## absolute_stopping

bool absolute_stopping

Definition at line 162 of file solver_option.h.

## residue

Float residue

mutable

Definition at line 163 of file solver_option.h.

## n_iter

size_type n_iter

mutable

Definition at line 164 of file solver_option.h.

## p_err

odiststream* p_err

Definition at line 165 of file solver_option.h.

## label

std::string label

mutable

Definition at line 166 of file solver_option.h.

## krylov_dimension

size_type krylov_dimension

Definition at line 167 of file solver_option.h.

## n_refinement

size_type n_refinement

Definition at line 168 of file solver_option.h.

## compute_determinant

bool compute_determinant

Definition at line 169 of file solver_option.h.

## preferred_library

std::string preferred_library

Definition at line 170 of file solver_option.h.

## verbose_level

size_type verbose_level

Definition at line 171 of file solver_option.h.

## do_check

bool do_check

Definition at line 172 of file solver_option.h.

## force_seq

bool force_seq

Definition at line 173 of file solver_option.h.

## level_of_fill

size_type level_of_fill

Definition at line 174 of file solver_option.h.

## amalgamation

size_type amalgamation

Definition at line 175 of file solver_option.h.

## ooc

size_type ooc

Definition at line 176 of file solver_option.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/linalg/lib/solver_option.h
- /build/rheolef-mDkPTY/rheolef-7.2/linalg/lib/solver_option.cc